Summary: 	Locale::gettext module for Perl.
Name: 		perl-Locale-gettext
Version: 	1.01
Release: 	2
License: 	GPL
Group: 		Development/Libraries
Source0: 	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Locale/gettext-1.01.tar.gz
Source1:	perl-Locale-gettext-sample.tar.gz
Packager: 	Riku Meskanen <mesrik@cc.jyu.fi>
Requires: 	perl >= 5.6
BuildRoot: 	%{_tmppath}/%{name}-%(id -u -n)
BuildRequires: 	gettext perl

%description
This is a perl5 module written to gain access to the C library functions 
for internatialization. They work just like the C versions.

%prep
%setup -n gettext-%{version}

%build
perl Makefile.PL
make
tar xvzf %{SOURCE1}

%install
[ "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" ] &&\
make PREFIX=${RPM_BUILD_ROOT}%{_prefix} install

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" ] &&\
	rm -rf $RPM_BUILD_ROOT
%files
%defattr(644,root,root,755)
%doc README sample
%{_mandir}/man3/*
%{perl_sitearch}/auto/Locale/*
%{perl_sitearch}/Locale/*

%changelog
* Sat Jun 15 2002 Riku Meskanen <mesrik@cc.jyu.fi>
- wrote and added simple sample under the %doc,
  the package seem to work wonderfully this far :)

* Wed Jun 12 2002 Riku Meskanen <mesrik@cc.jyu.fi>
- Initial build using Red Hat 7.3 version